Index: trunk/SophyaLib/BaseTools/Makefile
===================================================================
--- trunk/SophyaLib/BaseTools/Makefile	(revision 2748)
+++ trunk/SophyaLib/BaseTools/Makefile	(revision 2751)
@@ -12,73 +12,75 @@
 $(SOPHYAOBJP)datatype.o: datatype.cc sopnamsp.h datatype.h \
   $(SOPHYAINCP)machdefs.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)dvlist.o: dvlist.cc sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h dvlist.h objfio.h \
-  anydataobj.h ppersist.h pexceptions.h gnumd5.h ppfbinstream.h \
+  $(SOPHYAINCP)machdefs.h dvlist.h \
+  objfio.h anydataobj.h ppersist.h pexceptions.h gnumd5.h ppfbinstream.h \
   rawstream.h ppfnametag.h mutyv.h \
   $(SOPHYAINCP)strutil.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)fiondblock.o: fiondblock.cc sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h pexceptions.h \
-  datatype.h fiondblock.h ppersist.h gnumd5.h ppfbinstream.h rawstream.h \
-  ppfnametag.h ndatablock.h anydataobj.h
-	$(CXXCOMPILE) -o $@ $<
+  $(SOPHYAINCP)machdefs.h \
+  pexceptions.h datatype.h fiondblock.h ppersist.h gnumd5.h \
+  ppfbinstream.h rawstream.h ppfnametag.h ndatablock.h anydataobj.h
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)mutyv.o: mutyv.cc sopnamsp.h mutyv.h \
   $(SOPHYAINCP)machdefs.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)ndatablock.o: ndatablock.cc sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h pexceptions.h \
-  ndatablock.h anydataobj.h
-	$(CXXCOMPILE) -o $@ $<
+  $(SOPHYAINCP)machdefs.h \
+  pexceptions.h ndatablock.h anydataobj.h
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)pexceptions.o: pexceptions.cc sopnamsp.h pexceptions.h \
   $(SOPHYAINCP)machdefs.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)ppersist.o: ppersist.cc sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h pexceptions.h \
-  ppersist.h gnumd5.h ppfbinstream.h rawstream.h ppfnametag.h \
-  anydataobj.h
-	$(CXXCOMPILE) -o $@ $<
+  $(SOPHYAINCP)machdefs.h \
+  pexceptions.h ppersist.h gnumd5.h ppfbinstream.h rawstream.h \
+  ppfnametag.h anydataobj.h
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)ppfbinstream.o: ppfbinstream.cc sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h ppfbinstream.h \
-  rawstream.h pexceptions.h
-	$(CXXCOMPILE) -o $@ $<
+  $(SOPHYAINCP)machdefs.h \
+  ppfbinstream.h rawstream.h pexceptions.h
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)ppftpointerio.o: ppftpointerio.cc \
-  $(SOPHYAINCP)machdefs.h sopnamsp.h \
-  ppftpointerio.h ppersist.h pexceptions.h gnumd5.h ppfbinstream.h \
-  rawstream.h ppfnametag.h
-	$(CXXCOMPILE) -o $@ $<
+  $(SOPHYAINCP)machdefs.h \
+  sopnamsp.h ppftpointerio.h ppersist.h pexceptions.h gnumd5.h \
+  ppfbinstream.h rawstream.h ppfnametag.h
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)rawstream.o: rawstream.cc sopnamsp.h rawstream.h \
-  $(SOPHYAINCP)machdefs.h pexceptions.h
-	$(CXXCOMPILE) -o $@ $<
+  $(SOPHYAINCP)machdefs.h \
+  pexceptions.h
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)sophyainit.o: sophyainit.cc sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h sophyainit.h \
-  pexceptions.h ppersist.h gnumd5.h ppfbinstream.h rawstream.h \
-  ppfnametag.h fiondblock.h ndatablock.h anydataobj.h dvlist.h objfio.h \
-  mutyv.h fiosegdb.h segdatablock.h ppftpointerio.h ppfwrapstlv.h \
-  sversion.h
-	$(CXXCOMPILE) -o $@ $<
+  $(SOPHYAINCP)machdefs.h \
+  sophyainit.h pexceptions.h ppersist.h gnumd5.h ppfbinstream.h \
+  rawstream.h ppfnametag.h fiondblock.h ndatablock.h anydataobj.h \
+  dvlist.h objfio.h mutyv.h fiosegdb.h segdatablock.h ppftpointerio.h \
+  ppfwrapstlv.h sversion.h
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)timestamp.o: timestamp.cc sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h timestamp.h \
-  pexceptions.h
-	$(CXXCOMPILE) -o $@ $<
+  $(SOPHYAINCP)machdefs.h \
+  timestamp.h pexceptions.h
+	$(CXXCOMPILELIB) -o $@ $<
  
-$(SOPHYAOBJP)gnumd5.o: gnumd5.c $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)gnumd5.o: gnumd5.c \
+  $(SOPHYAINCP)machdefs.h \
   bithelp.h gnumd5.h
 	$(CCOMPILE) -o $@ $<
  
 $(SOPHYAOBJP)srandgen.o: srandgen.c \
-  $(SOPHYAINCP)machdefs.h srandgen.h \
-  smathconst.h
+  $(SOPHYAINCP)machdefs.h \
+  srandgen.h smathconst.h
 	$(CCOMPILE) -o $@ $<
  
Index: trunk/SophyaLib/BaseTools/smakefile
===================================================================
--- trunk/SophyaLib/BaseTools/smakefile	(revision 2748)
+++ trunk/SophyaLib/BaseTools/smakefile	(revision 2751)
@@ -12,74 +12,75 @@
 $(SOPHYAOBJP)datatype.o: datatype.cc sopnamsp.h datatype.h \
   $(SOPHYAINCP)machdefs.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)dvlist.o: dvlist.cc sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h dvlist.h objfio.h \
-  anydataobj.h ppersist.h pexceptions.h gnumd5.h ppfbinstream.h \
+  $(SOPHYAINCP)machdefs.h dvlist.h \
+  objfio.h anydataobj.h ppersist.h pexceptions.h gnumd5.h ppfbinstream.h \
   rawstream.h ppfnametag.h mutyv.h \
   $(SOPHYAINCP)strutil.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)fiondblock.o: fiondblock.cc sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h pexceptions.h \
-  datatype.h fiondblock.h ppersist.h gnumd5.h ppfbinstream.h rawstream.h \
-  ppfnametag.h ndatablock.h anydataobj.h
-	$(CXXCOMPILE) -o $@ $<
+  $(SOPHYAINCP)machdefs.h \
+  pexceptions.h datatype.h fiondblock.h ppersist.h gnumd5.h \
+  ppfbinstream.h rawstream.h ppfnametag.h ndatablock.h anydataobj.h
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)mutyv.o: mutyv.cc sopnamsp.h mutyv.h \
   $(SOPHYAINCP)machdefs.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)ndatablock.o: ndatablock.cc sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h pexceptions.h \
-  ndatablock.h anydataobj.h
-	$(CXXCOMPILE) -o $@ $<
+  $(SOPHYAINCP)machdefs.h \
+  pexceptions.h ndatablock.h anydataobj.h
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)pexceptions.o: pexceptions.cc sopnamsp.h pexceptions.h \
   $(SOPHYAINCP)machdefs.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)ppersist.o: ppersist.cc sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h pexceptions.h \
-  ppersist.h gnumd5.h ppfbinstream.h rawstream.h ppfnametag.h \
-  anydataobj.h
-	$(CXXCOMPILE) -o $@ $<
+  $(SOPHYAINCP)machdefs.h \
+  pexceptions.h ppersist.h gnumd5.h ppfbinstream.h rawstream.h \
+  ppfnametag.h anydataobj.h
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)ppfbinstream.o: ppfbinstream.cc sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h ppfbinstream.h \
-  rawstream.h pexceptions.h
-	$(CXXCOMPILE) -o $@ $<
+  $(SOPHYAINCP)machdefs.h \
+  ppfbinstream.h rawstream.h pexceptions.h
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)ppftpointerio.o: ppftpointerio.cc \
-  $(SOPHYAINCP)machdefs.h sopnamsp.h \
-  ppftpointerio.h ppersist.h pexceptions.h gnumd5.h ppfbinstream.h \
-  rawstream.h ppfnametag.h
-	$(CXXCOMPILE) -o $@ $<
+  $(SOPHYAINCP)machdefs.h \
+  sopnamsp.h ppftpointerio.h ppersist.h pexceptions.h gnumd5.h \
+  ppfbinstream.h rawstream.h ppfnametag.h
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)rawstream.o: rawstream.cc sopnamsp.h rawstream.h \
-  $(SOPHYAINCP)machdefs.h pexceptions.h
-	$(CXXCOMPILE) -o $@ $<
+  $(SOPHYAINCP)machdefs.h \
+  pexceptions.h
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)sophyainit.o: sophyainit.cc sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h sophyainit.h \
-  pexceptions.h ppersist.h gnumd5.h ppfbinstream.h rawstream.h \
-  ppfnametag.h fiondblock.h ndatablock.h anydataobj.h dvlist.h objfio.h \
-  mutyv.h fiosegdb.h segdatablock.h ppftpointerio.h ppfwrapstlv.h \
-  sversion.h
-	$(CXXCOMPILE) -o $@ $<
+  $(SOPHYAINCP)machdefs.h \
+  sophyainit.h pexceptions.h ppersist.h gnumd5.h ppfbinstream.h \
+  rawstream.h ppfnametag.h fiondblock.h ndatablock.h anydataobj.h \
+  dvlist.h objfio.h mutyv.h fiosegdb.h segdatablock.h ppftpointerio.h \
+  ppfwrapstlv.h sversion.h
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)timestamp.o: timestamp.cc sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h timestamp.h \
-  pexceptions.h
-	$(CXXCOMPILE) -o $@ $<
+  $(SOPHYAINCP)machdefs.h \
+  timestamp.h pexceptions.h
+	$(CXXCOMPILELIB) -o $@ $<
  
-$(SOPHYAOBJP)gnumd5.o: gnumd5.c $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)gnumd5.o: gnumd5.c \
+  $(SOPHYAINCP)machdefs.h \
   bithelp.h gnumd5.h
 	$(CCOMPILE) -o $@ $<
  
 $(SOPHYAOBJP)srandgen.o: srandgen.c \
-  $(SOPHYAINCP)machdefs.h srandgen.h \
-  smathconst.h
+  $(SOPHYAINCP)machdefs.h \
+  srandgen.h smathconst.h
 	$(CCOMPILE) -o $@ $<
  
- 
